<?php 
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
$sessao = new sessao();
$cliente=strtoupper($sessao->getVar('cliente'));
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');






//$quantosTestes=26;


/////////////////////
if (isset($_POST['editar'])):
    $tratamento=$_POST['tratamento'];
    $substrato=$_POST['substrato'];
    $temperatura=$_POST['temperatura'];
    $germinador=$_POST['germinador'];
    //se alguem selecionou algo nos combos, vale o que foi selecionado
    if($_POST['tratamentoSelec']!="")$tratamento=$_POST['tratamentoSelec'];
    if($_POST['substratoSelec']!="")$substrato=$_POST['substratoSelec'];
    if($_POST['temperaturaSelec']!="")$temperatura=$_POST['temperaturaSelec'];
    if($_POST['germinadorSelec']!="")$germinador=$_POST['germinadorSelec'];
	
	
	
	$reanLong=$_POST['reanLong'];
	
	
	
	
	
	           $user = new rean1(array(
				'REA_campo60a'=>$tratamento,
				'REA_campo60b'=>$substrato,
				'REA_campo20b'=>$germinador,
				'REA_campo20a'=>$temperatura,

            ));
            $user->valorpk = $reanLong;
            $user->extras_select = "WHERE  rea_id=".$reanLong;
            $user->selecionaTudo($user);
            $res = $user->retornaDados();
            $user->atualizar($user);
            if ($user->linhasafetadas==1):
                printMSG('Salvou! '.$mensagemToleranciaSucesso);
                unset($_POST);
            else:
				printMSG('Ok.Nada foi alterado. ','alerta');
            endif;
endif;

//AQUI CAPTURA OS 4 CAMPOS
			 	$rean = new rean1();
				$rean->extras_select =" where  rea_teste='GERM'  AND rea_ficha=".$amostraLong ;
                $rean->selecionaTudo($rean);
				while ($resRean = $rean->retornaDados()):
				    $reanLong=$resRean->rea_id;
					$tratamento=$resRean->rea_campo60a;//tratamento
					$substrato=$resRean->rea_campo60b;//substrato
					$germinador=$resRean->rea_campo20b;//germinador
					$temperatura=$resRean->rea_campo20a;//temperatura
                endwhile;

           //aqui vai encher o vetor da lista de apoio
			$idLabo=$sessao->getVar('idLabo');
			$genericaApoio=new tabelagenerica();
			$genericaApoio->tabela="escopo";
			$genericaApoio->campos_valores = array(
			    "esc_nome" => NULL,
			    "esc_nome_legal" => NULL,
			);
			$genericaApoio->extras_select =" order by esc_nome";
			$genericaApoio->selecionaCampos($genericaApoio);
			$registrosApoio=0;
			while ($resApoio = $genericaApoio->retornaDados()):
		        $registrosApoio++;
		        $texto=$resApoio->esc_nome;
				//echo("dentro1 do if texto=$texto idLabo=$idLabo<br>");
		        //if(strlen($texto)>12):
					//echo("dentro2 do if texto=$texto  idLabo=$idLabo<br>");
                    //if(substr($texto,12)==$idLabo):
	                    $matrizApoio[$registrosApoio][1]= substr($texto,0,12);  
	                    $matrizApoio[$registrosApoio][2]= $resApoio->esc_nome_legal;  
						//echo("dentro do if texto=$texto <br>");
					//endif; 	
                //endif;
            endwhile;




//aqui cria um segundo vetor com mesmo tamanho do vetor de testes e que serve para armazenar no 
//mesmo indice do vetor principal a palavra checked se o teste foi solicitado
?>


<html>
<body bgcolor="#b8cfe2">
<form class="userform" method="post" action="">
     <fieldset>
     <legend>Box dados de germinação</legend>
		<table>
		<!--primeira linha-->
		<tr>
		<td>Tratamento:</td>
		<td><input type="text" name="tratamento" size="30" maxlength="60"	value="<?php echo $tratamento;?>"	/></td>
		<td><select name="tratamentoSelec" value=""><!--cada linha que vai colocando ele coloca a variavel com neme diferente-->
	    <option></option>
	    <?php 
		for($variavel=1;$variavel<=$registrosApoio;$variavel++):
		    $codigo=$matrizApoio[$variavel][1];
            if(substr($codigo,0,4)=='TRAT'):
    			echo "<option>". $matrizApoio[$variavel][2]."</option>";
	        endif;
		endfor;
		?>	
 	    </select>
		</td>
		<td>   	
			Pode digitar no campo ou selecionar no combo.
		</td>
		
		</tr>
		
		
		
		<tr>
		<td>Temperatura:</td>
		<td><input type="text" name="temperatura" size="30"	maxlength="20" value="<?php echo $temperatura;?>"	/> </td>
		<td><select name="temperaturaSelec" value=""><!--cada linha que vai colocando ele coloca a variavel com neme diferente-->
	    <option></option>
	    <?php 
		for($variavel=1;$variavel<=$registrosApoio;$variavel++):
		    $codigo=$matrizApoio[$variavel][1];
            if(substr($codigo,0,4)=='TEMP'):
    			echo "<option>". $matrizApoio[$variavel][2]."</option>";
	        endif;
		endfor;
		?>	
 	    </select>
		</td>
		<td>   	
			Ao selecionar no combo,este será salvado.
		</td>

		</tr>
		
		
		
		
	
<!--terc linha-->
		<tr>
		<td>Germinador:</td>
		<td><input type="text" name="germinador" size="30" maxlength="20"	value="<?php echo $germinador;?>"	/>
	    </td>

		<td><select name="germinadorSelec" value=""><!--cada linha que vai colocando ele coloca a variavel com neme diferente-->
	    <option></option>
	    <?php 
		for($variavel=1;$variavel<=$registrosApoio;$variavel++):
		    $codigo=$matrizApoio[$variavel][1];
            if(substr($codigo,0,4)=='GERM'):
    			echo "<option>". $matrizApoio[$variavel][2]."</option>";
	        endif;
		endfor;
		?>	
 	    </select>
		</td>
		<td>   	
			P/adicionar no combo:Cadastros->Listas Apoio
		</td>
		</tr>

		<tr>
		<td>Substrato:</td>
		<td><input type="text" name="substrato" size="30" maxlength="60"	value="<?php echo $substrato;?>"	/>
	    </td>		
				<td><select name="substratoSelec" value=""><!--cada linha que vai colocando ele coloca a variavel com neme diferente-->
	    <option></option>
	    <?php 
		for($variavel=1;$variavel<=$registrosApoio;$variavel++):
		    $codigo=$matrizApoio[$variavel][1];
            if(substr($codigo,0,4)=='SUBS'):
    			echo "<option>". $matrizApoio[$variavel][2]."</option>";
	        endif;
		endfor;
		?>	
 	    </select>
		</td>


        <td>   	
			<input type="submit" name="editar" value="Salvar" />
		</td>		
		<input type="hidden" name="reanLong" size="5"	value="<?php echo $reanLong;?>"	/>
 
		</tr>
		</table>
		</fieldset> 
		
        Este box serve para registrar germinador,substrato,temperatura e tratamento laboratorial, para que isso ja fique definido no momento de imprimir a ficha de análise.<br>   
        
</form>
</body>



</html>
